Upload a theme asset
Uploads a new file asset (image, font, stylesheet, etc.) to the theme. Send the file as a multipart/form-data upload.
POST
/themes/{theme_id}/assetsAuthorization
AuthorizationBearer token (JWT) · headerrequiredPath parameters
theme_idstringrequiredTheme ID
Request body
requiredmultipart/form-datafilestring<binary>requiredFile to upload
Responses
201
Asset uploaded
_linksHalLinksidstringfile_namestringcontent_typestringfile_sizeintegerdigeststringurlstringCDN URL for this asset
updated_onstring<date-time>401
Unauthorized
403
Access denied
422
Validation error